Subject: Re: [manet] DLEP-17: error handling during "In-Session" state

From: Rick Taylor <[email-masked]>
Date: Wed, 9 Mar 2016 10:28:59 +0000

Quick comment inline...

On 24/11/15 15:54, RJ Atkinson wrote:
>
> Section 5.3 seems to talk about all of the expected behaviors,
> which is great.
>
> But what is the intended response behavior if one side of the
> active DLEP session receives a (presumably unexpected) TCP Reset ?
>
> It seems to me that Section 5.3 ought to say something about:
>
> (a) whether a DLEP peer is allowed to just reset the DLEP TCP session.
>      (Maybe it isn’t allowed to, from a DLEP perspective, which
>      might be important to note so implementers know this.)
>
> (b) how the other DLEP peer, the one receiving the TCP RST,
>      should respond to receiving that TCP RST
>      (e.g. does it try to restart the DLEP session, does it wait
>      for the other side to restart the DLEP session, or is some
>      other behavior appropriate)
>

We now have what we believe to be much clearer explicit text about the 
TCP connection in draft-20.

Rick